<%@LANGUAGE="VBSCRIPT" CODEPAGE="1252"%>

<%
'Conectarse a la base
Dim Conn, ConnStr

ConnStr = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source="
ConnStr = ConnStr & Server.MapPath("data/bd_tutorial.mdb")

Set Conn = Server.CreateObject("ADODB.Connection")
Conn.Mode = adModeReadWrite
Conn.ConnectionString = ConnStr
Conn.Open

'Realizar consulta SQL y obtener Recordset DE Areas Geogrficas
Dim strSQLAreas
strSQLAreas = "SELECT DISTINCT Areas.* FROM Areas INNER JOIN Paises ON Areas.IdArea = Paises.AreaPais"

Set rsAreas = Server.CreateObject("ADODB.Recordset")
rsAreas.Open strSQLAreas, Conn, 1

dim fso, archivo
Set fso = createobject("scripting.filesystemobject")
Set archivo = fso.CreateTextFile(Server.MapPath("xml/representantes.xml"), True)

archivo.WriteLine("<?xml version='1.0' encoding='ISO-8859-1'?>")
archivo.WriteLine("<lista>")

If rsAreas.RecordCount = 0 Then
	'***no hay Areas con pases asociados => xml vaco /***
	archivo.WriteLine("</lista>")	
Else
	rsAreas.MoveFirst
	'Bucle Do While #1 - para cada Area
	Do While Not rsAreas.EOF
	
		'escribimos el nodo XML
		archivo.WriteLine("<area nombre='" & rsAreas("NombreArea") & "'>")
		
		'buscamos los Pases del Area que tengan Representantes, sin duplicados: DISTINCT
		strSQLPaises = "SELECT DISTINCT Paises.IdPais, Paises.NombrePais FROM Paises INNER JOIN Representantes ON " & _
		"Paises.IdPais = Representantes.PaisRepres WHERE Paises.AreaPais =" & rsAreas("IdArea")

		Set rsPaises = Server.CreateObject("ADODB.Recordset")
		rsPaises.Open strSQLPaises, Conn, 1
		
		If rsPaises.RecordCount <> 0 Then
		
			'Bucle Do While #2 - para cada Pas
			Do While Not rsPaises.EOF
			
				'escribimos el nodo XML
				archivo.WriteLine("<pais nombre='" & rsPaises("NombrePais") & "'>")
				
				'buscamos los Representantes del Pas
				strSQLRepre = "SELECT * FROM Representantes WHERE PaisRepres=" & rsPaises("IdPais")
				
				Set rsRepre = Server.CreateObject("ADODB.Recordset")
				rsRepre.Open strSQLRepre, Conn, 1
				
				If rsRepre.RecordCount <> 0 Then
				
					'Bucle Do While #3 - datos de cada Representante
					Do While Not rsRepre.EOF
				
						'escribimos el nodo XML
						archivo.WriteLine("<representante ciudad='" & rsRepre("CiudadRepres") & "' nombre='" & rsRepre("NombreRepres") &  _
						"' apellido='" & rsRepre("ApellidoRepres") & "' telefono='" & rsRepre("TelefonoRepres") & "' email='" & rsRepre("EmailRepres") & "'>")
						
						'cerramos el nodo de cada Representante
						archivo.WriteLine("</representante>")
						rsRepre.MoveNext	
					Loop
					'cerramos y destruimos el recordset de Representantes
					rsRepre.Close
					Set rsRepre = Nothing
				End If
			
				'cerramos el nodo de cada Pas
				archivo.WriteLine("</pais>")
				rsPaises.MoveNext
			Loop
			
			'cerramos y destruimos el recordset de Pases
			rsPaises.Close
			Set rsPaises = Nothing
		End If
		
		'cerramos el nodo de cada Area
		archivo.WriteLine("</area>")
		rsAreas.MoveNext
	Loop
	
	'cerramos y destruimos el recordset de Areas
	rsAreas.Close
	Set rsAreas = Nothing
	
	'cerramos el nodo principal
	archivo.WriteLine("</lista>")
	archivo.Close
End If

'cerramos la conexin
Conn.Close
Set Conn = Nothing
%>